## kmplayer-trinity 14.0.8

=== CMakeLists.txt ===
############################################
#                                          #
#  Improvements and feedbacks are welcome  #
#                                          #
#  This file is released under GPL >= 3    #
#                                          #
############################################


cmake_minimum_required( VERSION 2.8 )


#### general package setup

project( kmplayer )
set( VERSION R14.0.8 )


#### include essential cmake modules

include( FindPkgConfig          )
include( CheckFunctionExists    )
include( CheckSymbolExists      )
include( CheckIncludeFile       )
include( CheckIncludeFileCXX    )
include( CheckLibraryExists     )
include( CheckCSourceCompiles   )
include( CheckCXXSourceCompiles )


#### include our cmake modules

set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
include( TDEMacros )


##### setup install paths

include( TDESetupPaths )
tde_setup_paths( )


##### optional stuff

option( WITH_ALL_OPTIONS    "Enable all optional support" OFF )
option( WITH_GCC_VISIBILITY "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )
option( WITH_CAIRO          "Enable support for cairo"                          ${WITH_ALL_OPTIONS} )
option( WITH_EXPAT          "Enable support for expat"                          ${WITH_ALL_OPTIONS} )
option( WITH_XTEST          "Enable support for XTest"                          ${WITH_ALL_OPTIONS} )


##### user requested modules

option( BUILD_ALL             "Build all"            OFF )
option( BUILD_KXINEPLAYER     "Build kxineplayer"    ${BUILD_ALL} )
option( BUILD_KXVPLAYER       "Build kxvplayer"      ${BUILD_ALL} )
option( BUILD_KGSTPLAYER      "Build kgstplayer"     ${BUILD_ALL} )
option( BUILD_KNPPLAYER       "Build knpplayer"      ${BUILD_ALL} )
option( BUILD_KOFFICE_PLUGIN  "Build koffice plugin" ${BUILD_ALL} )
option( BUILD_DOC             "Build documentation"  ${BUILD_ALL} )
option( BUILD_TRANSLATIONS    "Build translations"   ${BUILD_ALL} )


##### configure checks

include( ConfigureChecks.cmake )


###### global compiler settings

add_definitions( -DHAVE_CONFIG_H )

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )


##### directories

add_subdirectory( src       )
add_subdirectory( icons     )
add_subdirectory( mimetypes )
tde_conditional_add_subdirectory( BUILD_DOC doc         )
tde_conditional_add_subdirectory( BUILD_TRANSLATIONS po )


##### write configure files

configure_file( config.h.cmake config.h @ONLY )

=== protocols/CMakeLists.txt ===
install(
    FILES
        mms.protocol
        rtsp.protocol
        pnm.protocol

  DESTINATION ${SERVICES_INSTALL_DIR}
)

=== src/CMakeLists.txt ===
include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TDE_INCLUDE_DIR}/tde
  ${TQT_INCLUDE_DIRS}
  ${CAIRO_INCLUDE_DIRS}
  ${EXPAT_INCLUDE_DIRS}
  ${XINE_INCLUDE_DIRS}
  ${NSPR_INCLUDE_DIRS}
  ${DBUS_INCLUDE_DIRS}
  ${DBUS-TQT_INCLUDE_DIRS}
  ${GSTREAMER_INCLUDE_DIRS}
  ${GSTREAMER_VIDEO_INCLUDE_DIRS}
  ${GSTREAMER_PLUGIN_INCLUDE_DIRS}
  ${X11_INCLUDE_DIR}
  ${X11_XTest_INCLUDE_PATH}
  ${GDK2_INCLUDE_DIRS}
  ${GTK2_INCLUDE_DIRS}
  ${GLIB2_INCLUDE_DIRS}
  ${DBUS-GLIB_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### kmplayercommon (shared)

tde_add_library( kmplayercommon SHARED AUTOMOC

  SOURCES
        viewarea.cpp kmplayerview.cpp
        playlistview.cpp kmplayercontrolpanel.cpp
        kmplayerconfig.cpp pref.cpp
        kmplayerprocess.cpp kmplayer_callback.skel
        kmplayer_backend.stub kmplayerpartbase.cpp
        kmplayerplaylist.cpp kmplayer_asx.cpp
        kmplayer_smil.cpp kmplayer_rp.cpp
        kmplayer_rss.cpp kmplayer_atom.cpp
        kmplayer_xspf.cpp triestring.cpp
        kmplayerpartbase.skel
  LINK
     tdecore-shared
     tdeui-shared
     tdeio-shared
     tdeparts-shared
     tdeutils-shared
     tdemediaplayer
     ${CAIRO_LIBRARIES}
     ${EXPAT_LIBRARIES}
     ${XINE_LIBRARIES}
     ${X11_LIBRARIES}
     ${X11_XTest_LIB}
     ${NSPR_LIBRARIES}
     ${DBUS_LIBRARIES}
     ${GSTREAMER_LIBRARIES}
     ${DBUS-TQT_LIBRARIES}

  DESTINATION ${LIB_INSTALL_DIR}
)


##### kmplayer (tdeinit)

tde_add_tdeinit_executable( ${PROJECT_NAME} AUTOMOC

  SOURCES
        main.cpp kmplayerapp.cpp
        kmplayertvsource.cpp
        kmplayerbroadcast.cpp
        kmplayervdr.cpp
  LINK
     tdecore-shared
     kmplayercommon-shared
     ${X11_XTest_LIB}
)


##### kmplayerbackend (static)

tde_add_library( kmplayerbackend STATIC_PIC AUTOMOC

  SOURCES
        kmplayer_backend.skel
        kmplayer_callback.stub
)


##### libkmplayerpart (kpart)

tde_add_kpart( libkmplayerpart AUTOMOC

  SOURCES
        kmplayer_part.cpp
  LINK
     kmplayercommon-shared

  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### kxineplayer (executable)

if( BUILD_KXINEPLAYER )

tde_add_executable( kxineplayer AUTOMOC

  SOURCES
        xineplayer.cpp
  LINK
     tdecore-shared
     tdeui-shared
     tdeio-shared
     kmplayerbackend-static
     ${XINE_LIBRARIES}

  DESTINATION ${BIN_INSTALL_DIR}
)
endif()


##### kxvplayer (executable)

if( BUILD_KXVPLAYER )

tde_add_executable( kxvplayer AUTOMOC

  SOURCES
        xvplayer.cpp
  LINK
     tdecore-shared
     tdeui-shared
     tdeio-shared
     kmplayerbackend-static
     ${X11_Xv_LIB}

  DESTINATION ${BIN_INSTALL_DIR}
)
endif()


##### kgstplayer (executable)

if( BUILD_KGSTPLAYER )

tde_add_executable( kgstplayer AUTOMOC

  SOURCES
        gstplayer.cpp
  LINK
     tdecore-shared
     tdeui-shared
     tdeio-shared
     kmplayerbackend-static
     ${GSTREAMER_LIBRARIES}
     ${GSTREAMER_VIDEO_LIBRARIES}
     ${GSTREAMER_PLUGIN_LIBRARIES}

  DESTINATION ${BIN_INSTALL_DIR}
)
endif()


##### knpplayer (executable)

if( BUILD_KNPPLAYER )

tde_add_executable( knpplayer AUTOMOC

  SOURCES
        npplayer.c
  LINK
     ${NSPR_LIBRARIES}
     ${X11_LIBRARIES}
     ${GMODULE2_LIBRARIES}
     ${GDK2_LIBRARIES}
     ${GLIB2_LIBRARIES}
     ${DBUS-GLIB_LIBRARIES}
     ${GTHREAD_LIBRARIES}
     ${GTK2_LIBRARIES}

  DESTINATION ${BIN_INSTALL_DIR}
)
endif()


##### kmplayerkofficepart (kpart)

if( BUILD_KOFFICE_PLUGIN )

tde_add_kpart( libkmplayerkofficepart AUTOMOC

  SOURCES
        kmplayer_koffice_part.cpp
  LINK
     kmplayercommon-shared
     ${KOFFICE_LIBRARIES}

  DESTINATION ${PLUGIN_INSTALL_DIR}
)
endif()


##### other data

install(
    FILES
        bookmarks.xml
        pluginsinfo
        noise.gif
        kmplayerui.rc
        kmplayerpartui.rc

  DESTINATION ${DATA_INSTALL_DIR}/kmplayer
)

install(
    FILES ${PROJECT_NAME}.desktop
    DESTINATION ${XDG_APPS_INSTALL_DIR}
)

install(
    FILES kmplayerrc
    DESTINATION ${CONFIG_INSTALL_DIR}
)

install(
    FILES kmplayer_part.desktop
    DESTINATION ${SERVICES_INSTALL_DIR}
)

if( BUILD_KOFFICE_PLUGIN )
install(
    FILES kmplayer_koffice.desktop
    DESTINATION ${SERVICES_INSTALL_DIR}
)
endif()

=== mimetypes/video/trinity1/CMakeLists.txt ===
##### other data

install(
    FILES x-ms-wmv.desktop
    DESTINATION ${MIME_INSTALL_DIR}/video
)

## kmplayer-trinity 3.5.13.2

=== debian/changelog ===
kmplayer-trinity (4:3.5.13.2-0ubuntu12.04.0+0) precise; urgency=low

  * Automated git build for v3.5.13.2

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 02 Jun 2013 20:02:37 +0200

kmplayer-trinity (1:0.10.0c-0ubuntu4) karmic; urgency=low

  * Karmic rebuild

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 02 July 2009 16:08:00 -0600

kmplayer-trinity (1:0.10.0c-0ubuntu3) intrepid; urgency=low

  * Moved Trinity to /opt/trinity
  * Integrated properly with KDE4.2+

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 05 March 2009 29:52:00 -0600

kmplayer-trinity (1:0.10.0c-0ubuntu1) intrepid; urgency=low

  * Added -trinity suffix

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Wed, 31 Dec 2008 15:38:00 -0600

kmplayer (1:0.10.0c-0ubuntu3) hardy; urgency=low

  * Drop /usr/share/doc/tde/HTML from kmplayer, as it's already in
    kmplayer-doc (LP: #210443).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 15 Apr 2008 02:22:14 +0100

kmplayer (1:0.10.0c-0ubuntu2) hardy; urgency=low

  * dapper -> hardy upgrade fixes, kmplayer replaces old kmplayer-doc
    and vice-versa

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 19 Mar 2008 15:38:32 +0000

kmplayer (1:0.10.0c-0ubuntu1) hardy; urgency=low

  * New upstream release.
  * Merged Debian changelog, remaining changes in 0.10.0a-2ubuntu1 entry.
  * Cleaned up rules file.

 -- Jonathan Patrick Davies <jpatrick@kubuntu.org>  Fri, 22 Dec 2007 11:23:40 +0100

kmplayer (1:0.10.0b-1) unstable; urgency=low

  * New upstream release. (Closes: #454794)
  * Update my e-mail address.
  * Bump Standards-Version to 3.7.3.
  * Use Homepage field.
  * Build with --as-needed linker flags.

 -- Fathi Boudra <fabo@debian.org>  Thu, 06 Dec 2007 09:26:27 +0100

kmplayer (1:0.10.0b-0ubuntu1) hardy; urgency=low

  * New upstream release.
  * Dropped kubuntu_02_use_default_config_with_kparts_.diff - applied upstream.
  * Updated email in kmplayer.1.docbook.
  * Updated Standards-Version to 3.7.3.0.

 -- Jonathan Patrick Davies <jpatrick@kubuntu.org>  Fri, 7 Dec 2007 18:56:10 +0100

kmplayer (1:0.10.0a-2ubuntu4) hardy; urgency=low

  * Fix kmplayer-doc.install to include all documentation.
  * Removed "debian/tmp/" from *.install's.

 -- Jonathan Patrick Davies <jpatrick@kubuntu.org>  Mon, 12 Nov 2007 22:25:24 +0100

kmplayer (1:0.10.0a-2ubuntu3) hardy; urgency=low

  * Reuploaded as the buildd seems to be fixed

 -- Anthony Mercatante <tonio@ubuntu.com>   Mon, 12 Nov 2007 14:14:56 +0100

kmplayer (1:0.10.0a-2ubuntu2) hardy; urgency=low

  * Re-add kubuntu_03_no_audio_mimetypes, not merged upstream

 -- Anthony Mercatante <tonio@ubuntu.com>  Sat, 10 Nov 2007 10:20:27 +0100

kmplayer (1:0.10.0a-2ubuntu1) hardy; urgency=low

  * Merge from debian unstable, remaining changes:
    - Ubuntu maintainer spec.
    - kmplayer-base instead of kmplayer-common.
    - kmplayer-konq-plugin instead of kmplayer-plugin.
    - Added kubuntu_ patches to series.
    - No overrides.
    - Remove 10_xine_default_player.diff - done by kubuntu_01_kmplayerrc.diff.
    - Drop 12_remove_audio_mimetypes and kubuntu_04_real_mimetype - applied
      upstream.
    - docbook2x dep for docbooks.
  * New upstream release. (LP: #131620)
  * Adjust kmplayer's xine deps for new packages. (LP: #159338)
  * Bumped Standards-Version to 3.7.2.2.
  * Updated kmplayer.1.docbook.
  * New Homepage field location.
  * Drop kubuntu_03_no_audio_mimetypes - applied upstream.
  * Drop kubuntu_05_gxx32 - changed upstream.
  * Remove quilt patch system.
  * And drop build dep on quilt.

 -- Jonathan Patrick Davies <jpatrick@kubuntu.org>  Sat, 03 Nov 2007 12:26:24 +0100

kmplayer (1:0.10.0a-2) unstable; urgency=low

  * Add Depends: libxine1-x

 -- Mark Purcell <msp@debian.org>  Thu, 25 Oct 2007 21:45:35 +0100

kmplayer (1:0.10.0a-1) unstable; urgency=low

  * New upstream release.
  * Update patches. Remove 14_use_pkgconfig_for_nspr_cfg patch.
  * Remove libnspr4-dev build dependency.

 -- Fathi Boudra <fboudra@free.fr>  Sat, 20 Oct 2007 12:09:01 +0200

kmplayer (1:0.10.0-1) unstable; urgency=low

  * New upstream release. (Closes: #437982)
  * Update menu file to latest Debian menu policy.

 -- Fathi Boudra <fboudra@free.fr>  Wed, 03 Oct 2007 10:37:32 +0200

kmplayer (1:0.10.0~pre3-1) unstable; urgency=low

  * New upstream release
     - Fixes: ftbfs with g++-4.3/gcc-snapshot (Closes: #441548)

 -- Mark Purcell <msp@debian.org>  Sun, 30 Sep 2007 11:53:49 +0100

kmplayer (1:0.10.0~pre2-2) unstable; urgency=low

  * Add knpplayer to kmplayer-common package.

 -- Fathi Boudra <fboudra@free.fr>  Mon, 30 Jul 2007 11:54:42 +0200

kmplayer (1:0.10.0~pre2-1) unstable; urgency=low

  * New upstream release.
  * Add libdbus-1-dev, libdbus-glib-1-dev, libdbus-qt-1-dev, libgtk2.0-dev and
    libnspr4-dev build dependencies.
  * Remove libcairo-dev build dependency.
  * Update copyright. Add moz-sdk related licences.

 -- Fathi Boudra <fboudra@free.fr>  Sat, 28 Jul 2007 11:18:55 +0200

kmplayer (1:0.9.4a-2) unstable; urgency=low

  * Update debian/watch
  * Build-Depends: libcairo2-dev | libcairo-dev
    - libcairo is missing in dependency (Closes: #422431)

 -- Mark Purcell <msp@debian.org>  Thu, 17 May 2007 16:45:55 +0100

kmplayer (1:0.9.4a-1) unstable; urgency=low

  * New upstream release.
  * Add patch to replace deprecated -vop flag by -vf.

 -- Fathi Boudra <fboudra@free.fr>  Tue, 15 May 2007 22:01:53 +0200

kmplayer (1:0.9.4-1) unstable; urgency=low

  * New upstream release

 -- Mark Purcell <msp@debian.org>  Sat,  3 Mar 2007 13:01:59 +0000

kmplayer (1:0.9.3a-1) experimental; urgency=low

  * New upstream release

  [ Fathi Boudra ]
  * Add patch to remove audio mimetypes
  * Add missing documentation and locales

  [ Mark Purcell ]
  * While I enjoy kmplayer, lets lower .desktop InitialPreference to 5

 -- Fathi Boudra <fboudra@free.fr>  Sun,  7 Jan 2007 18:50:55 +0100

kmplayer (1:0.9.3-2) unstable; urgency=low

  * Epoc to ensure version compatability with debian-multimedia.org


=== debian/control ===
Source: kmplayer-trinity
Section: kde
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Fathi Boudra <fboudra@free.fr>, Mark Purcell <msp@debian.org>
Build-Depends: cdbs, debhelper (>= 5), quilt, kdelibs4-trinity-dev,
 libcairo2-dev, libdbus-1-dev, libdbus-glib-1-dev, libdbus-tqt-1-dev,
 libgstreamer-plugins-base0.10-dev, libgtk2.0-dev, libxine2-dev | libxine-dev, libxv-dev, docbook2x,
 automake, autoconf, libtool, libltdl-dev
Standards-Version: 3.8.4
Homepage: http://kmplayer.kde.org

Package: kmplayer-trinity
Architecture: any
Depends: ${shlibs:Depends}, kmplayer-base-trinity (= ${binary:Version}), libxine2-x | libxine1-x (<< 1.1.20) | libxine1 (<< 1.1.8-2)
Replaces: kmplayer-kde3 (<< 4:3.5.13)
Breaks: kmplayer-kde3 (<< 4:3.5.13)
Recommends: kmplayer-plugin-trinity (= ${binary:Version})
Suggests: ffmpeg, vdr, xawtv, mplayer
Description: media player for Trinity
 A basic audio/video viewer application for Trinity.
 .
 KMPlayer can:
 * play DVD (DVDNav only with the Xine player)
 * play VCD
 * let the backend players play from a pipe (read from stdin)
 * play from a TV device (experimental)
 * show backend player's console output
 * launch ffserver (only 0.4.8 works) when viewing from a v4l device
 * DCOP KMediaPlayer interface support
 * VDR viewer frontend (with *kxvplayer), configure VDR keys with standard KDE
   shortcut configure window
 * Lots of configurable shortcuts. Highly recommended for the VDR keys
   (if you have VDR) and volume increase/decrease

Package: kmplayer-base-trinity
Architecture: any
Section: kde
Replaces: kmplayer-base-kde3 (<< 4:3.5.13)
Breaks: kmplayer-base-kde3 (<< 4:3.5.13)
Depends: ${shlibs:Depends}
Description: Base files for KMPlayer [Trinity]
 Core files needed for KMPlayer.
 .
 Homepage: http://kmplayer.kde.org

Package: kmplayer-konq-plugins-trinity
Architecture: any
Section: kde
Replaces: kmplayer-konq-plugins-kde3 (<< 4:3.5.13)
Breaks: kmplayer-konq-plugins-kde3 (<< 4:3.5.13)
Depends: ${shlibs:Depends}, kmplayer-base-trinity (= ${binary:Version}), konqueror-trinity
Description: KMPlayer plugin for KHTML/Konqueror [Trinity]
 This plugin enables audio/video playback inside konqueror, using Xine (with
 *kxineplayer) or GStreamer (with *kgstplayer), such as movie trailers, web
 tv or radio. It mimics QuickTime, MS Media Player and RealPlayer plugin
 browser plugins.

Package: kmplayer-trinity-doc
Architecture: all
Section: kde
Replaces: kmplayer-kde3-doc (<< 4:3.5.13)
Breaks: kmplayer-kde3-doc (<< 4:3.5.13)
Depends: ${shlibs:Depends}, kmplayer-trinity
Description: Handbook for KMPlayer [Trinity]
 Documention for KMPlayer, a basic audio/video viewer application for KDE.

## kmplayer-trinity 14.0.5

=== debian/changelog ===
kmplayer-trinity (4:14.0.5-0ubuntu17.04.0+0) zesty; urgency=low

  * Automated git build for r14.0.5

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 27 Jul 2018 07:40:04 +0200

=== debian/control ===
Source: kmplayer-trinity
Section: tde
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Fathi Boudra <fboudra@free.fr>, Mark Purcell <msp@debian.org>
Build-Depends: cdbs, debhelper (>= 7.0.50~), quilt, tdelibs14-trinity-dev,
 libcairo2-dev, libdbus-1-dev, libdbus-glib-1-dev, libdbus-tqt-1-dev,
 libgstreamer-plugins-base1.0-dev | libgstreamer-plugins-base0.10-dev,
 libgtk2.0-dev, libxine2-dev | libxine-dev, libxv-dev, docbook2x,
 automake, autoconf, libtool, libltdl-dev
Standards-Version: 3.8.4
Homepage: http://kmplayer.kde.org

Package: kmplayer-trinity
Architecture: any
Depends: ${shlibs:Depends}, kmplayer-base-trinity (= ${binary:Version}), libxine2-x | libxine1-x (<< 1.1.20) | libxine1 (<< 1.1.8-2)
Replaces: kmplayer-kde3 (<< 4:14.0.0~), kmplayer-trinity (<< 4:14.0.0~)
Breaks: kmplayer-kde3 (<< 4:14.0.0~), kmplayer-trinity (<< 4:14.0.0~)
Recommends: kmplayer-plugin-trinity (= ${binary:Version})
Suggests: libav-tools | ffmpeg, vdr, xawtv, mplayer
Description: media player for Trinity
 A basic audio/video viewer application for Trinity.
 .
 KMPlayer can:
 * play DVD (DVDNav only with the Xine player)
 * play VCD
 * let the backend players play from a pipe (read from stdin)
 * play from a TV device (experimental)
 * show backend player's console output
 * launch ffserver (only 0.4.8 works) when viewing from a v4l device
 * DCOP KMediaPlayer interface support
 * VDR viewer frontend (with *kxvplayer), configure VDR keys with standard TDE
   shortcut configure window
 * Lots of configurable shortcuts. Highly recommended for the VDR keys
   (if you have VDR) and volume increase/decrease

Package: kmplayer-base-trinity
Architecture: any
Section: tde
Replaces: kmplayer-base-kde3 (<< 4:14.0.0~), kmplayer-base-trinity (<< 4:14.0.0~)
Breaks: kmplayer-base-kde3 (<< 4:14.0.0~), kmplayer-base-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Description: Base files for KMPlayer [Trinity]
 Core files needed for KMPlayer.
 .
 Homepage: http://kmplayer.kde.org

Package: kmplayer-konq-plugins-trinity
Architecture: any
Section: tde
Replaces: kmplayer-konq-plugins-kde3 (<< 4:14.0.0~), kmplayer-konq-plugins-trinity (<< 4:14.0.0~)
Breaks: kmplayer-konq-plugins-kde3 (<< 4:14.0.0~), kmplayer-konq-plugins-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}, kmplayer-base-trinity (= ${binary:Version}), konqueror-trinity
Description: KMPlayer plugin for TDEHTML/Konqueror [Trinity]
 This plugin enables audio/video playback inside konqueror, using Xine (with
 *kxineplayer) or GStreamer (with *kgstplayer), such as movie trailers, web
 tv or radio. It mimics QuickTime, MS Media Player and RealPlayer plugin
 browser plugins.

Package: kmplayer-trinity-doc
Architecture: all
Section: tde
Replaces: kmplayer-kde3-doc (<< 4:14.0.0~), kmplayer-trinity-doc (<< 4:14.0.0~)
Breaks: kmplayer-kde3-doc (<< 4:14.0.0~), kmplayer-trinity-doc (<< 4:14.0.0~)
Depends: ${shlibs:Depends}, kmplayer-trinity
Description: Handbook for KMPlayer [Trinity]
 Documention for KMPlayer, a basic audio/video viewer application for TDE.

## kmplayer-trinity 14.0.6

=== debian/changelog ===
kmplayer-trinity (4:14.0.6-0ubuntu17.10.0+0) artful; urgency=low

  * Automated git build for r14.0.6

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 06 Mar 2019 01:38:50 +0100

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
#include /usr/share/cdbs/1/rules/patchsys-quilt.mk
include debian/cdbs/kde.mk
include /usr/share/cdbs/1/rules/utils.mk

DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include/tde
DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
DEB_CONFIGURE_PREFIX := /opt/trinity
DEB_CONFIGURE_INFODIR := /opt/trinity/share/info

cdbs_configure_flags := --with-qt-dir=/usr/share/qt3 --disable-rpath --with-xinerama $(cdbs_kde_enable_final) $(cdbs_kde_enable_debug)

_P=)
GCC_VERSION := $(shell gcc --version | sed -n "/^gcc/s/^[^$(_P)]*$(_P) \(.\..\).*/\1/p")
ifeq ($(GCC_VERSION),4.3)
  CXX = g++ -fpermissive
endif

DEB_CONFIGURE_EXTRA_FLAGS := --enable-maintainer-mode --prefix=/opt/trinity --with-extra-libs=/opt/trinity/lib --with-extra-includes=/opt/trinity/include/tde
DEB_DH_INSTALL_ARGS = --sourcedir=debian/tmp
DEB_INSTALL_MANPAGES_kmplayer = kmplayer.1

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

post-patches:: debian/stamp-bootstrap

debian/stamp-bootstrap:
ifneq "$(wildcard /usr/share/libtool/ltmain.sh)" ""
	cp -f /usr/share/libtool/ltmain.sh admin/ltmain.sh
endif
ifneq "$(wildcard /usr/share/libtool/config/ltmain.sh)" ""
	cp -f /usr/share/libtool/config/ltmain.sh admin/ltmain.sh
endif
ifneq "$(wildcard /usr/share/libtool/build-aux/ltmain.sh)" ""
	cp -f /usr/share/libtool/build-aux/ltmain.sh admin/ltmain.sh
endif
	cp -f /usr/share/aclocal/libtool.m4 admin/libtool.m4.in
	
	make -f admin/Makefile.common cvs
	touch debian/stamp-bootstrap

build/kmplayer-trinity::
	docbook2x-man debian/kmplayer.1.docbook

clean::
	rm -f kmplayer.1

=== debian/watch ===
# debian/watch file for KMPlayer.
version=3

http://kmplayer.kde.org/pkgs/kmplayer-(.*)\.tar\.bz2

## kmplayer-trinity 14.0.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,7 +13,7 @@
 #### general package setup
 
 project( kmplayer )
-set( VERSION R14.0.8 )
+set( VERSION R14.0.9 )
 
 
 #### include essential cmake modules

=== mimetypes/video/CMakeLists.txt ===
##### other data

install(
    FILES x-ms-wmp.desktop
    DESTINATION ${MIME_INSTALL_DIR}/video
)

=== debian/changelog ===
kmplayer-trinity (4:14.0.9-0ubuntu19.04.0+0) disco; urgency=low

  * Automated git build for r14.0.9

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 09 Oct 2020 11:07:40 +0200

## kmplayer-trinity 14.0.10

=== debian/changelog ===
kmplayer-trinity (4:14.0.10-0ubuntu19.10.0+0) eoan; urgency=low

  * Automated git build for r14.0.10

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 04 Apr 2021 16:10:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: kmplayer-trinity
 Section: tde
 Priority: optional
-Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
+Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Fathi Boudra <fboudra@free.fr>, Mark Purcell <msp@debian.org>
-Build-Depends: cdbs, debhelper (>= 7.0.50~), quilt, tdelibs14-trinity-dev,
- libcairo2-dev, libdbus-1-dev, libdbus-glib-1-dev, libdbus-tqt-1-dev,
+Build-Depends: cdbs, debhelper (>= 9~), quilt, cmake, tdelibs14-trinity-dev,
+ libnspr4-dev, libcairo2-dev, libdbus-1-dev, libdbus-glib-1-dev, libdbus-tqt-1-dev,
  libgstreamer-plugins-base1.0-dev | libgstreamer-plugins-base0.10-dev,
- libgtk2.0-dev, libxine2-dev | libxine-dev, libxv-dev, docbook2x,
- automake, autoconf, libtool, libltdl-dev
+ libgtk2.0-dev, libxine2-dev | libxine-dev, libxv-dev, libxtst-dev,
+ koffice-trinity-dev
 Standards-Version: 3.8.4
 Homepage: http://kmplayer.kde.org
 
@@ -58,6 +58,16 @@
  tv or radio. It mimics QuickTime, MS Media Player and RealPlayer plugin
  browser plugins.
 
+Package: kmplayer-koffice-plugins-trinity
+Architecture: any
+Section: tde
+Depends: ${shlibs:Depends}, kmplayer-base-trinity (= ${binary:Version})
+Description: KMPlayer plugin for KOffice [Trinity]
+ This plugin enables audio/video playback inside KOffice, using Xine (with
+ *kxineplayer) or GStreamer (with *kgstplayer), such as movie trailers, web
+ tv or radio. It mimics QuickTime, MS Media Player and RealPlayer plugin
+ browser plugins.
+
 Package: kmplayer-trinity-doc
 Architecture: all
 Section: tde

## kmplayer-trinity 14.0.11

=== debian/changelog ===
kmplayer-trinity (4:14.0.11-0ubuntu14.04.0+0) trusty; urgency=low

  * Automated git build for r14.0.11
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.11#kmplayer

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 19 Oct 2021 19:27:36 +0200

## kmplayer-trinity 14.0.12

=== debian/changelog ===
kmplayer-trinity (4:14.0.12-0ubuntu20.10.0+0) groovy; urgency=low

  * Automated git build for r14.0.12
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.12#kmplayer

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 31 Dec 2021 11:52:41 +0100

## kmplayer-trinity 14.0.13

=== debian/changelog ===
kmplayer-trinity (4:14.0.13-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.0.13
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.13#kmplayer

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 25 Sep 2022 00:21:55 +0200

## kmplayer-trinity 14.1.0

=== debian/changelog ===
kmplayer-trinity (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#kmplayer

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 12 Apr 2023 15:15:08 +0200

## kmplayer-trinity 14.1.1

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -15,16 +15,35 @@
   ${GSTREAMER_VIDEO_INCLUDE_DIRS}
   ${GSTREAMER_PLUGIN_INCLUDE_DIRS}
   ${X11_INCLUDE_DIR}
-  ${X11_XTest_INCLUDE_PATH}
+  ${X11_XTEST_INCLUDE_DIRS}
   ${GDK2_INCLUDE_DIRS}
   ${GTK2_INCLUDE_DIRS}
   ${GLIB2_INCLUDE_DIRS}
   ${DBUS-GLIB_INCLUDE_DIRS}
+  ${X11_XShm_INCLUDE_PATH}
+  ${X11_Xv_INCLUDE_PATH}
+  ${X11_Xutil_INCLUDE_PATH}
 )
 
 link_directories(
   ${TQT_LIBRARY_DIRS}
   ${TDE_LIB_DIR}
+  ${CAIRO_LIBRARY_DIRS}
+  ${EXPAT_LIBRARY_DIRS}
+  ${XINE_LIBRARY_DIRS}
+  ${NSPR_LIBRARY_DIRS}
+  ${DBUS_LIBRARY_DIRS}
+  ${DBUS-TQT_LIBRARY_DIRS}
+  ${GSTREAMER_LIBRARY_DIRS}
+  ${GSTREAMER_VIDEO_LIBRARY_DIRS}
+  ${GSTREAMER_PLUGIN_LIBRARY_DIRS}
+  ${X11_LIBRARY_DIRS}
+  ${X11_XTEST_LIBRARY_DIRS}
+  ${XEXT_LIBRARY_DIRS}
+  ${GDK2_LIBRARY_DIRS}
+  ${GTK2_LIBRARY_DIRS}
+  ${GLIB2_LIBRARY_DIRS}
+  ${DBUS-GLIB_LIBRARY_DIRS}
 )
 
 
@@ -49,17 +68,19 @@
      tdeio-shared
      tdeparts-shared
      tdeutils-shared
-     tdemediaplayer
+     tdemediaplayer-shared
      ${CAIRO_LIBRARIES}
      ${EXPAT_LIBRARIES}
      ${XINE_LIBRARIES}
      ${X11_LIBRARIES}
-     ${X11_XTest_LIB}
+     ${X11_XTEST_LIBRARIES}
      ${NSPR_LIBRARIES}
      ${DBUS_LIBRARIES}
      ${GSTREAMER_LIBRARIES}
      ${DBUS-TQT_LIBRARIES}
 
+  VERSION 1.0.0
+
   DESTINATION ${LIB_INSTALL_DIR}
 )
 
@@ -76,7 +97,7 @@
   LINK
      tdecore-shared
      kmplayercommon-shared
-     ${X11_XTest_LIB}
+     ${X11_XTEST_LIBRARIES}
 )
 
 
@@ -117,6 +138,7 @@
      tdeio-shared
      kmplayerbackend-static
      ${XINE_LIBRARIES}
+     ${X11_Xext_LIB}
 
   DESTINATION ${BIN_INSTALL_DIR}
 )
@@ -137,6 +159,7 @@
      tdeio-shared
      kmplayerbackend-static
      ${X11_Xv_LIB}
+     ${X11_Xext_LIB}
 
   DESTINATION ${BIN_INSTALL_DIR}
 )
@@ -169,7 +192,7 @@
 
 if( BUILD_KNPPLAYER )
 
-tde_add_executable( knpplayer AUTOMOC
+tde_add_executable( knpplayer
 
   SOURCES
         npplayer.c
@@ -208,34 +231,26 @@
 ##### other data
 
 install(
-    FILES
-        bookmarks.xml
-        pluginsinfo
-        noise.gif
-        kmplayerui.rc
-        kmplayerpartui.rc
-
-  DESTINATION ${DATA_INSTALL_DIR}/kmplayer
-)
-
-install(
-    FILES ${PROJECT_NAME}.desktop
-    DESTINATION ${XDG_APPS_INSTALL_DIR}
-)
+    FILES bookmarks.xml pluginsinfo noise.gif
+          kmplayerui.rc kmplayerpartui.rc
+    DESTINATION ${DATA_INSTALL_DIR}/${PROJECT_NAME}
+)
+
+tde_create_translated_desktop( ${PROJECT_NAME}.desktop )
 
 install(
     FILES kmplayerrc
     DESTINATION ${CONFIG_INSTALL_DIR}
 )
 
-install(
-    FILES kmplayer_part.desktop
+tde_create_translated_desktop(
+    SOURCE kmplayer_part.desktop
     DESTINATION ${SERVICES_INSTALL_DIR}
 )
 
 if( BUILD_KOFFICE_PLUGIN )
-install(
-    FILES kmplayer_koffice.desktop
+tde_create_translated_desktop(
+    SOURCE kmplayer_koffice.desktop
     DESTINATION ${SERVICES_INSTALL_DIR}
 )
 endif()

=== debian/changelog ===
kmplayer-trinity (4:14.1.1-0ubuntu16.04.0+0) xenial; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#kmplayer

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 08 Sep 2023 23:23:47 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Fathi Boudra <fboudra@free.fr>, Mark Purcell <msp@debian.org>
-Build-Depends: cdbs, debhelper (>= 9~), quilt, cmake, tdelibs14-trinity-dev,
+Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev,
  libnspr4-dev, libcairo2-dev, libdbus-1-dev, libdbus-glib-1-dev, libdbus-tqt-1-dev,
  libgstreamer-plugins-base1.0-dev | libgstreamer-plugins-base0.10-dev,
  libgtk2.0-dev, libxine2-dev | libxine-dev, libxv-dev, libxtst-dev,

## kmplayer-trinity 14.1.2

=== debian/changelog ===
kmplayer-trinity (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#kmplayer

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 22 Apr 2024 00:31:47 +0200

## kmplayer-trinity 14.1.3

=== debian/changelog ===
kmplayer-trinity (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#kmplayer

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 03 Oct 2024 10:00:01 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Fathi Boudra <fboudra@free.fr>, Mark Purcell <msp@debian.org>
-Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev,
+Build-Depends: cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev,
  libnspr4-dev, libcairo2-dev, libdbus-1-dev, libdbus-glib-1-dev, libdbus-tqt-1-dev,
  libgstreamer-plugins-base1.0-dev | libgstreamer-plugins-base0.10-dev,
  libgtk2.0-dev, libxine2-dev | libxine-dev, libxv-dev, libxtst-dev,

## kmplayer-trinity 14.1.4

=== debian/changelog ===
kmplayer-trinity (4:14.1.4-0ubuntu25.04.0+0) plucky; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#kmplayer

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200

## kmplayer-trinity 14.1.5~pre4

=== debian/changelog ===
kmplayer-trinity (4:14.1.5~pre4-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for caac64c07b185aa001efe55c44471fab43061573
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#kmplayer

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## kmplayer-trinity 14.1.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,13 +7,16 @@
 ############################################
 
 
-cmake_minimum_required( VERSION 2.8 )
+##### set project version ########################
+
+include( TDEVersion )
+cmake_minimum_required( VERSION ${TDE_CMAKE_MINIMUM_VERSION} )
+tde_set_project_version( )
 
 
 #### general package setup
 
 project( kmplayer )
-set( VERSION R14.0.9 )
 
 
 #### include essential cmake modules
@@ -30,7 +33,6 @@
 
 #### include our cmake modules
 
-set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
 include( TDEMacros )
 
 
@@ -51,7 +53,7 @@
 
 ##### user requested modules
 
-option( BUILD_ALL             "Build all"            OFF )
+option( BUILD_ALL             "Build all"            ON )
 option( BUILD_KXINEPLAYER     "Build kxineplayer"    ${BUILD_ALL} )
 option( BUILD_KXVPLAYER       "Build kxvplayer"      ${BUILD_ALL} )
 option( BUILD_KGSTPLAYER      "Build kgstplayer"     ${BUILD_ALL} )
@@ -80,8 +82,12 @@
 add_subdirectory( src       )
 add_subdirectory( icons     )
 add_subdirectory( mimetypes )
-tde_conditional_add_subdirectory( BUILD_DOC doc         )
-tde_conditional_add_subdirectory( BUILD_TRANSLATIONS po )
+
+
+##### other data ################################
+
+tde_conditional_add_project_docs( BUILD_DOC )
+tde_conditional_add_project_translations( BUILD_TRANSLATIONS )
 
 
 ##### write configure files

=== mimetypes/audio/CMakeLists.txt ===
##### other data

tde_create_translated_desktop(
    SOURCE x-ms-wma.desktop
    DESTINATION ${MIME_INSTALL_DIR}/audio
)

=== mimetypes/video/CMakeLists.txt ===
##### other data

tde_create_translated_desktop(
    SOURCE x-ms-wmp.desktop
    DESTINATION ${MIME_INSTALL_DIR}/video
)

=== mimetypes/video/trinity1/CMakeLists.txt ===
##### other data

tde_create_translated_desktop(
    SOURCE x-ms-wmv.desktop
    DESTINATION ${MIME_INSTALL_DIR}/video
)

=== debian/changelog ===
kmplayer-trinity (4:14.1.5-0ubuntu24.04.0+0) noble; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#kmplayer

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Fathi Boudra <fboudra@free.fr>, Mark Purcell <msp@debian.org>
-Build-Depends: cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev,
- libnspr4-dev, libcairo2-dev, libdbus-1-dev, libdbus-glib-1-dev, libdbus-tqt-1-dev,
+Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev,
+ libnspr4-dev, libcairo2-dev, libdbus-1-dev, libdbus-glib-1-dev,
  libgstreamer-plugins-base1.0-dev | libgstreamer-plugins-base0.10-dev,
  libgtk2.0-dev, libxine2-dev | libxine-dev, libxv-dev, libxtst-dev,
  koffice-trinity-dev

## kmplayer-trinity 14.1.6~pre0

=== debian/changelog ===
kmplayer-trinity (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for caac64c07b185aa001efe55c44471fab43061573
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#kmplayer

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## kmplayer-trinity 14.1.6~pre1

=== debian/changelog ===
kmplayer-trinity (4:14.1.6~pre1-0ubuntu25.10.0+0) questing; urgency=low

  * Automated git build for af555eb6fb1f7773a89e8adc06d9c87293de23b7
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#kmplayer

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:49:46 +0100

## kmplayer-trinity 14.1.6~pre2

=== debian/changelog ===
kmplayer-trinity (4:14.1.6~pre2-0ubuntu26.04.1+0~a) resolute; urgency=low

  * Automated git build for 632df952d8ae9123f6d226842e37de46f3d646a6
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#kmplayer

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 28 Dec 2025 03:02:22 +0100

## kmplayer-trinity 14.1.6~pre3

=== debian/changelog ===
kmplayer-trinity (4:14.1.6~pre3-0ubuntu25.04.0+0) plucky; urgency=low

  * Automated git build for f65a58e4f7c6e06ad9ce6381805788f4fdf9973e
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#kmplayer

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 17 Jan 2026 12:35:50 +0100

## kmplayer-trinity 14.1.6~pre4

=== debian/changelog ===
kmplayer-trinity (4:14.1.6~pre4-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 920317f1a41ea72f8f016b3db967191dfb4f5492
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#kmplayer

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 29 Jan 2026 15:51:47 +0100

## kmplayer-trinity 14.2.0~pre57

=== debian/changelog ===
kmplayer-trinity (4:14.2.0~pre57-0ubuntu26.04.0+7~a) resolute; urgency=low

  * Automated git build for 70e8764a0de494d1fdfa2fd74ec44879bf74c9fd
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#kmplayer

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200

## kmplayer-trinity 14.2.0~pre58

=== debian/changelog ===
kmplayer-trinity (4:14.2.0~pre58-0ubuntu25.10.0+7) questing; urgency=low

  * Automated git build for dc699c0766feed473a82a654362a8afda1fc01d9
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#kmplayer

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:00:05 +0100

## kmplayer-trinity 14.2.0~pre59

=== debian/changelog ===
kmplayer-trinity (4:14.2.0~pre59-0ubuntu26.04.1+7~a) resolute; urgency=low

  * Automated git build for 51b139e5bf4e00cf06dbe81c984592c1065e4706
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#kmplayer

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 28 Dec 2025 02:13:23 +0100

## kmplayer-trinity 14.2.0~pre60

=== debian/changelog ===
kmplayer-trinity (4:14.2.0~pre60-0ubuntu26.04.0+7~a) resolute; urgency=low

  * Automated git build for f3df41f3efde0626cada3a99671ff17627a4a0fe
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#kmplayer

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 16 Jan 2026 04:57:46 +0100

## kmplayer-trinity 14.2.0~pre61

=== debian/changelog ===
kmplayer-trinity (4:14.2.0~pre61-0ubuntu26.04.0+9~a) resolute; urgency=low

  * Automated git build for 51452f2e68ea3fba1776d125ce27416c90b544ec
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#kmplayer

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 02 Mar 2026 10:22:43 +0100
